onetbb (2021.12.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make sure FORTIFY_SOURCE=3 is used, to fix FTBFS due to mixing
      different values of them

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 17:22:37 +0200

onetbb (2021.12.0-1) unstable; urgency=medium

  [ zhangdandan ]
  * Fix testcases failed on loong64 (Closes: #1070849)

  [ Mo Zhou ]
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Jul 2024 01:16:04 -0400

onetbb (2021.12.0-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ] (Ubuntu changes)
  * Fix build on ppc64el by using -Wno-error=stringop-overflow.
  * Make sure FORTIFY_SOURCE=3 is used, to fix FTBFS due to mixing
    different values of them

  [ John Paul Adrian Glaubitz ]
  * Add sh4 architecture support.

  [ Mo Zhou ]
  * New upstream version 2021.12.0
  * Quilt refresh patches.
  * B-D on pkgconf instead of pkg-config.
  * ubuntu fortify patch is not necessary here on debian
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Apr 2024 14:19:08 -0400

onetbb (2021.11.0-2ubuntu2) noble; urgency=medium

  * Make sure FORTIFY_SOURCE=3 is used, to fix FTBFS due to mixing
    different values of them

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Dec 2023 15:25:55 +0100

onetbb (2021.11.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by using -Wno-error=stringop-overflow

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Dec 2023 10:05:05 +0100

onetbb (2021.11.0-2) unstable; urgency=medium

  * Autopkgtest: reduce testing workload to avoid timeout on weak CPUs.

 -- Mo Zhou <lumin@debian.org>  Tue, 26 Dec 2023 14:26:37 -0500

onetbb (2021.11.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by using -Wno-error=stringop-overflow

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Dec 2023 11:06:46 +0100

onetbb (2021.11.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Dec 2023 16:46:42 -0500

onetbb (2021.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2021.11.0
  * Release to experimental.

 -- Mo Zhou <lumin@debian.org>  Fri, 24 Nov 2023 00:13:46 -0500

onetbb (2021.10.0-1) experimental; urgency=medium

  * New upstream version 2021.10.0 (July 2023)
  * Quilt refresh patchset.
  * Remove 1040-missing-header.patch, fixed upstream.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Sun, 12 Nov 2023 16:00:41 -0500

onetbb (2021.9.0-3) UNRELEASED; urgency=medium

  [ Petter Reinholdtsen ]
  * Team upload.

  * Updated Standards-Version from 4.6.0 to 4.6.2.
  * Document that 1040-missing-header.patch is applied upstream.

 -- Mo Zhou <lumin@debian.org>  Sun, 12 Nov 2023 15:16:18 -0500

onetbb (2021.9.0-2ubuntu1) mantic; urgency=medium

  * Fix build on ppc64el by using -Wno-error=stringop-overflow

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 08:30:44 +0200

onetbb (2021.9.0-2) unstable; urgency=medium

  * Team upload.

  * Added patch classiciation and added more metadata.
  * Avoid build problem on armel caused by strange compiler
    (Closes: #1042009).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Aug 2023 22:42:54 +0200

onetbb (2021.9.0-1) unstable; urgency=medium

  * New upstream version 2021.9.0
  * Remove merged patches.
  * Remove merged patches. Rebase remaining ones.
  * Add patch for missing header to resolve FTBFS. (Closes: #1037798)

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Jul 2023 21:29:44 -0700

onetbb (2021.8.0-2) unstable; urgency=medium

  * Team upload.
  * libtbb12: Add explicit Breaks against libtbb2 for smoother upgrades from
    bullseye. The the existing transitive Breaks via libtbbmalloc2 is not
    sufficient for all upgrade paths.  (Closes: #1036073)
  * Drop duplicate symbols.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 May 2023 12:23:01 +0200

onetbb (2021.8.0-1) unstable; urgency=medium

  * New upstream version 2021.8.0
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Mon, 26 Dec 2022 11:21:23 -0500

onetbb (2021.7.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 29 Oct 2022 23:15:39 -0400

onetbb (2021.7.0-1~exp1) experimental; urgency=medium

  * Update watch due to github change.
  * Repack upstream tarball to deal with EXTREMELY ANNOYING DOS linebreaks
    in Git. (Reverts: "Do not repack upstream source" in 2021.5.0-1)
  * New upstream version 2021.7.0
  * Rebase/Refresh existing patches. Remove merged ones.
  * Rules: no longer link binaries using GOLD on ppc64el.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Fri, 28 Oct 2022 14:01:02 -0400

onetbb (2021.5.0-15) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 07 Sep 2022 14:45:46 -0400

onetbb (2021.5.0-14) experimental; urgency=medium

  * Enable hwloc support as per upstream request.
    + Install the new libtbbbind_*.so after enabling hwloc.
    + Install the new shared object in separate binary package.
  * Switch linker from bfd to gold for ppc64el.
    This bypasses a regression (linker segmentation fault) in binutils.

 -- Mo Zhou <lumin@debian.org>  Tue, 06 Sep 2022 23:53:16 -0400

onetbb (2021.5.0-13) unstable; urgency=medium

  * Suppress compiler warnings appeared since GCC-12. (Closes: #1016283)

 -- Mo Zhou <lumin@debian.org>  Thu, 18 Aug 2022 12:57:20 -0400

onetbb (2021.5.0-12) unstable; urgency=medium

  [ Adrian Bunk ]
  * Build libtbbmalloc2 also on mips* (Closes: #1013753)

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jun 2022 07:28:41 -0700

onetbb (2021.5.0-11) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.

  [ Adrian Bunk ]
  * Link everything with -latomic where needed
  * Correct DEB_BUILD_ARCH -> DEB_HOST_ARCH

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Jun 2022 02:55:28 -0400

onetbb (2021.5.0-10) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Jun 2022 03:58:56 -0400

onetbb (2021.5.0-9) experimental; urgency=medium

  * Remove mips* arch from bin:libtbbmalloc2. (Closes: #1011112)
  * Close the riscv FTBFS bug that was not closed (Closes: #1005733)

 -- Mo Zhou <lumin@debian.org>  Fri, 20 May 2022 10:32:26 -0400

onetbb (2021.5.0-8) experimental; urgency=medium

  [ Andrius Merkys ]
  * Team upload.

  [ Matthias Klose ]
  * Split out a libtbbmalloc2 package (Closes: #1010920).
  * Mark some of the libtbbmalloc symbols as optional.
  * Build for riscv64.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 May 2022 04:06:43 -0400

onetbb (2021.5.0-7) experimental; urgency=medium

  * Remove fetchadd4-ia64-gcc.patch: generic fallback invalid for IA64.
  * Revise patch of test_collaborative_call_once for __arm__ and x32.
  * Add -faligned-new in CXXFLAGS for m68k and sh4.
  * Disable ITT_NOTIFY on IA64 architecture.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Feb 2022 12:51:02 -0500

onetbb (2021.5.0-6) experimental; urgency=medium

  * Patch and fix libatomic linkage on architectures incl. armel.
  * Reduce stress of test_collaborative_call_once on __arm__ and x32.
  * Revise fetchadd4.patch based on upstream suggestion.
  * Patch code to avoid undefined fetchadd4 on IA64 with gcc.

 -- Mo Zhou <lumin@debian.org>  Tue, 15 Feb 2022 10:16:19 -0500

onetbb (2021.5.0-5) experimental; urgency=medium

  * Patch source to avoid "undefined __TBB_machine_fetchadd4".
  * Overhaul buildflags definition for CMake. Deprecate old defs for Makefile.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 21:53:17 -0500

onetbb (2021.5.0-4) experimental; urgency=medium

  * Cherry-pick 8f78aa096459b8ea0fcb54d2f0854f1889043f5d to fix test_eh_thread.
  * Prevent dh-missing from failing the build due to README.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 15:48:13 -0500

onetbb (2021.5.0-3) experimental; urgency=medium

  * Cherry-pick upstream fix for i386.
  * Fix FTBFS for --arch-all --no-arch-any build.
  * Fix broken symlink in libtbb-doc. (Closes: #988868)

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 13:50:43 -0500

onetbb (2021.5.0-2) experimental; urgency=medium

  * Breaks+Replaces: libtbb2 (<< 2021). (Closes: #1004980)
  * B-D on cmake for all architectures.
  * Reintroduce remove-unaligned-test.patch to fix bus error during test.

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Feb 2022 17:57:13 -0500

onetbb (2021.5.0-1) experimental; urgency=medium

  * Team upload

  [ Mo Zhou ]
  * New upstream version 2021.4.0 (Closes: #987689)
  * Source rename following upstream. The new upstream Git URL is
    https://github.com/oneapi-src/oneTBB
  * d/rules: Switch build system to cmake+ninja.
    + Remove OS detection flags for old buildsystem.
    + Update buildflags in favor of new CMake buildsystem.
    + No longer need to manually install pkg-config and cmake files.
  * d/patches: Remove patches for old build system.
    + And temporarily disable all remaining patches.
  * Bump SOVERSION to 12 and refresh symbols control file. (Closes: #997115)
  * Migrate to Sphinx for building documentation.
  * d/*.{install,docs,examples}: Reflect upstream file changes.
  * Remove unnecessary links and lintian overrides.
  * Migrate to new API for d/tests/test.cc for autopkgtest.
  * Use upstream examples for autopkgtest.
  * Upload to experimental.

  [ Andreas Tille ]
  * Do not repack upstream source
  * DEP5
  * Drop uupdate from watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * No need to use dh-exec

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 17:14:25 +0100

tbb (2020.3-1) unstable; urgency=medium

  * New upstream version 2020.3
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Aug 2020 08:33:57 +0800

tbb (2020.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 13 Apr 2020 07:56:18 +0800

tbb (2020.2-1) experimental; urgency=medium

  * New upstream version 2020.2
  * Specify Rules-Requires-Root: no in control
  * Bump Standards-Version to 4.5.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Sun, 05 Apr 2020 18:19:33 +0800

tbb (2020.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 07 Feb 2020 09:32:59 +0800

tbb (2020.1-1) experimental; urgency=medium

  * New upstream version 2020.1
  * Autopkgtest: let cmake test compile a simple C++ program.

 -- Mo Zhou <lumin@debian.org>  Thu, 30 Jan 2020 18:01:05 +0800

tbb (2020.0-2) unstable; urgency=medium

  * Mark libtbb-doc as Multi-Arch: foreign.
  * Merge the content of tbb-examples package into libtbb-doc package.
  * Remove the third-party cmake file FindTBB.cmake
  * CMake: use TBBConfig*.cmake to find TBB. (Closes: #929967)
  * Add a CMakeLists.txt to debian/tests for testing TBBConfig*.cmake
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Initialize autopkgtest: upstream unit tests, cmake find_package.

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jan 2020 09:01:17 +0800

tbb (2020.0-1) experimental; urgency=medium

  * New upstream version 2020.0
  * Update watch file, reflecting the version scheme change.
  * Rebase/Refresh existing patch stack.
  * Add missing B-D-I graphviz.
  * Refresh symbols control file.
  * Override a lintian warning.
  * Update my own mail address.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Jan 2020 17:05:21 +0800

tbb (2019~U9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 10:06:29 +0000

tbb (2019~U9-1) experimental; urgency=medium

  * New upstream version 2019~U9
  * Rebase gcc-atomic-detection.patch
  * Update symbols list for amd64.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 11 Oct 2019 21:24:17 +0800

tbb (2019~U8-1) unstable; urgency=medium

  * New upstream version 2019~U8

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 06 Jul 2019 04:48:07 +0000

tbb (2019~U7-1) unstable; urgency=medium

  * New upstream version 2019~U7
  * Rebase gcc-atomic-detection.patch and refresh the rest patches.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 04 Jun 2019 12:14:14 +0000

tbb (2019~U5-1~exp1) experimental; urgency=medium

  * New upstream version 2019~U5

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 28 Mar 2019 00:34:43 +0000

tbb (2019~U4-1~exp1) experimental; urgency=medium

  * New upstream version 2019~U4
  * Refresh patches (quilt push -a --refresh).
  * Refresh symbols (one more symbol).

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 03 Mar 2019 02:47:44 +0000

tbb (2019~U3-1~exp1) experimental; urgency=medium

  * New upstream version 2019~U3
  * Refresh/Rebase patches:
    + Rebase fixnonlinux.patch, gcc-atomic-detection.patch, cross.patch
    + Refresh the rest patches.
    - Remove no longer needed removejsquery.patch
  * Override dh_auto_build-indep to build doxygen documentations.
  * Add doxygen to Build-Depends-Indep.
  * Update symbols control file for amd64 architecture.
  * Override (noop) dh_auto_test-indep.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Feb 2019 15:14:00 +0000

tbb (2018~U6-4) unstable; urgency=medium

  * Team upload.
  * Drop cgal specific include from cmake module
  * Install tbb own cmake files and include TBBMakeConfig.cmake into
    FindTBB.cmake

 -- Andreas Tille <tille@debian.org>  Wed, 12 Dec 2018 19:20:30 +0100

tbb (2018~U6-3) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * DEP3
  * Add cmake file (shamelessly stolen from libcgal-dev)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2018 21:58:08 +0100

tbb (2018~U6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 30 Nov 2018 07:41:31 +0000

tbb (2018~U6-1) experimental; urgency=medium

  * New upstream version 2018~U6
  * Maintainer is Debian Science team. Append myself to uploaders.
  * Point Vcs-* fields to Salsa.
  * Refresh patches.
  * Change priority to optional in favor of deprecation of extra.
  * Cleanup rules and enable all hardening options.
  * Bump debhelper compat level to 11.
  * Delete -dbg package in favor of automatic debug packages.
  * Remove unused files and unused lintian overrides.
  * Update doc installation path and doc-base registration due to compat 10.
  * Add symbols control file for amd64.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 23 Nov 2018 09:04:17 +0000

tbb (2017~U7-8) unstable; urgency=medium

  * Remove un-aligned memory access unit test from test_malloc_pools.exe
    - This allows sparc64 to pass unit tests. Closes: #832104

  [ Adrian Bunk ]
  * Advertise exception_ptr with gcc >= 7, Closes: #877380

 -- Steve Capper <steven.capper@gmail.com>  Wed, 04 Oct 2017 14:46:23 +0100

tbb (2017~U7-7~exp1) experimental; urgency=medium

  * Remove un-aligned memory access unit test from test_malloc_pools.exe
    - This should help sparc64

 -- Steve Capper <steven.capper@gmail.com>  Mon, 14 Aug 2017 17:41:33 +0100

tbb (2017~U7-6) unstable; urgency=medium

  * Rollback enhanced debugging -g3 change, as it appears to have broken
    reproducible builds.

 -- Steve Capper <steven.capper@gmail.com>  Wed, 02 Aug 2017 19:03:30 +0100

tbb (2017~U7-5) unstable; urgency=medium

  * Release to sid
  * Enhanced debugging, gdb analysis for failed tbbmalloc tests
  * Display host system page size

 -- Steve Capper <steven.capper@gmail.com>  Tue, 01 Aug 2017 21:20:40 +0100

tbb (2017~U7-5~exp1) experimental; urgency=medium

  * Enhanced debugging, gdb analysis for failed tbbmalloc tests
  * Display host system page size

 -- Steve Capper <steven.capper@gmail.com>  Sun, 30 Jul 2017 21:42:32 +0100

tbb (2017~U7-4) unstable; urgency=medium

  * Remove spurious patch files
  * Fix build on ARMEL. Closes: #852481
  * Remove build information to help reproducible builds. Closes: #816989
  * Fixup 64-bits detection patch
  * Use 1MB stack for 32-bit MIPS test threads
  * Merge failonbadtests and tally-unit-test-fails.patch
  * Fix -march logic in i386 building. Closes: #855088
    + (we use gcc atomics by default so no longer need to mention pentium4)
  * Bump standards to 4.0.0

  [ Matthias Klose ]
  * Fix multi-arch support, Closes: #812945

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass build configuration to make. Closes: #837179

 -- Steve Capper <steven.capper@gmail.com>  Thu, 27 Jul 2017 20:52:44 +0100

tbb (2017~U7-3~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Fix multi-arch support, Targets: #812945

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass build configuration to make. Targets: #837179

  [ Steve Capper ]
  * Remove spurious patch files
  * Fix build on ARMEL. Targets: #852481
  * Attempt to debug pthread_create failures on mips
  * Remove build information to help reproducible builds. Targets: #816989

 -- Steve Capper <steven.capper@gmail.com>  Sun, 23 Jul 2017 19:08:41 +0100

tbb (2017~U7-2) unstable; urgency=medium

  * Port over experimental package to sid.
  * Upgrade to latest upstream version of TBB.
    + This now builds with gcc 7. Closes: #853679
    + This supports s390x. Closes: #809663
  * Update copyright file to Apache 2.0 to match new upstream version.
  * Fix -march logic in i386 building. Targets: #855088
  * Fix watch file to point to new upstream on github. Closes: #866678

  [ Nico Schlömer ]
  * Correct homepage and add Vcs tags in debian/control.

 -- Steve Capper <steven.capper@gmail.com>  Sun, 23 Jul 2017 12:55:42 +0100

tbb (2017~U7-1~exp1) experimental; urgency=medium

  * Upgrade to latest upstream version of TBB.
    + This now builds with gcc 7. Targets: #853679
    + This supports s390x. Targets: #809663
  * Update copyright file to Apache 2.0 to match new upstream version.
  * Fix -march logic in i386 building. Targets: #855088
  * Fix watch file to point to new upstream on github. Targets: #866678

 -- Steve Capper <steven.capper@gmail.com>  Sat, 08 Jul 2017 10:45:31 +0100

tbb (4.3~20150611-2) unstable; urgency=medium

  * Add support for armel by distinguishing from armhf.
  * Fold in unit test timeout logic in to tally patch.

 -- Steve Capper <steven.capper@gmail.com>  Fri, 03 Jun 2016 20:30:33 +0100

tbb (4.3~20150611-1) unstable; urgency=medium

  * Dump out /proc/cpuinfo and gcc preprocessor directives on build to
    help debug issues.
  * Timeout of 10 minutes set on unit tests. Any tests that timeout are
    logged.

  [Mathieu Malaterre ]
  * Tweak 64 bits detection.

 -- Steve Capper <steven.capper@gmail.com>  Mon, 30 May 2016 17:01:44 +0100

tbb (4.3~20150611-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Upload version from experimental to sid, fixing build with GCC 5.
    Closes: #778139.
  * The architecture list is now marked as linux-any. Closes: #748876.
  * Multiarchify the packages (Marc Glisse). Closes: #751689.
  * The new upstream fixes the check for __TBB_CPP11_TYPE_PROPERTIES_PRESENT.
    Closes: #779553.

  [ Adam Conrad ]
  * gcc-atomic-detection.patch: Fix the gcc atomic detection to work for
    gcc-5.x and up, as well as adding -latomic to LIBS (closes: #787084)
  * gcc-atomic-always.patch: Always define TBB_USE_GCC_BUILTINS for GCC.
  * debian/tbb.pc.in: Add -latomic to the pkg-config file for the above.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Sep 2015 19:06:39 +0200

tbb (4.3~20150611-1~exp3) experimental; urgency=medium

  * Put Mathieu's ppc32 gcc atomic disable patch back in (it shouldn't
      have been removed).
  * Switch target architecture to linux-any.
  * Go full atomic, move all __sync to __atomic.

 -- Steve Capper <steven.capper@gmail.com>  Fri, 03 Jul 2015 20:20:34 +0100

tbb (4.3~20150611-1~exp2) experimental; urgency=medium

  * Replace __sync_val_compare_and_swap with __atomic_compare_exchange_n for
    gcc_generic.h
    - Original patch by Mathieu Malaterre, some logic has been tweaked.

 -- Steve Capper <steven.capper@gmail.com>  Thu, 02 Jul 2015 19:32:04 +0100

tbb (4.3~20150611-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Mainly C++11 features/fixes.

 -- Steve Capper <steven.capper@gmail.com>  Sat, 20 Jun 2015 16:31:03 +0100

tbb (4.2~20140122-6) experimental; urgency=medium

  * First stab at an experimental upload.
  * No substantive changes from -5.

 -- Steve Capper <steven.capper@gmail.com>  Mon, 27 Apr 2015 21:37:32 +0100

tbb (4.2~20140122-5) unstable; urgency=medium

  * Locked down build architectures to:
        amd64, arm64, armhf, hppa, i386, powerpc and ppc64el

 -- Steve Capper <steven.capper@gmail.com>  Thu, 22 Jan 2015 17:42:38 +0000

tbb (4.2~20140122-4) unstable; urgency=medium
  * Bump standards version to 3.9.6.
  * Add debian/tbb.pc to clean list.

  [ Mathieu Malaterre ]
  * Don't use gcc atomics for ppc32. Closes: #762656

 -- Steve Capper <steven.capper@gmail.com>  Thu, 30 Oct 2014 17:55:02 +0000

tbb (4.2~20140122-3) unstable; urgency=medium

  * Unit test execution failures no longer cause build to fail; instead take a
    tally of passes/failures to make it easier to analyse which cases are prone
    to failure.
    + debian/patches/tally-unit-test-fails.patch
  * debian/rules modified s.t. the unit tests are no longer executed twice

 -- Steve Capper <steven.capper@gmail.com>  Fri, 19 Sep 2014 20:35:24 +0100

tbb (4.2~20140122-2) unstable; urgency=medium

  * Unit test compile errors no longer ignored. Closes: #752820
  * for i386 architecture, set march=i586 (has to match gcc): Closes: #756233
  * Debian architecture overrides uname -m, allows pbuilder i386 builds.
  * Amended Linux kernel version detection logic to work with x.y.
  * Bump standards version to 3.9.5.
  * A couple of Lintian source-is-missing errors overridden.

 -- Steve Capper <steven.capper@gmail.com>  Sat, 26 Jul 2014 18:45:08 +0100

tbb (4.2~20140122-1.1) unstable; urgency=low

  [ Helge Deller ]
  * Enable builds for hppa. Closes: #748876

  [ Wookey ]
  * Enable builds for arm64. Closes: #748508

  [ Mathieu Malaterre ]
  * Non-maintainer upload.
  * Prefer `Arch: any` now that tbb build on most arch now

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jun 2014 15:08:28 +0200

tbb (4.2~20140122-1) unstable; urgency=medium

  * Added myself as maintainer for package.
  * Added a symlink to tbb-examples so build instructions now work for them.
  * Added a dependency to libjs-query and a symlink to remove the embedded
    copy.
  * New upstream release:
    + armv7l build fixes, removed armhf.patch
    + rebased adddebug.patch and fixnonlinux.patch

 -- Steve Capper <steven.capper@gmail.com>  Mon, 07 Apr 2014 14:51:05 +0100

tbb (4.2~20130725-2) unstable; urgency=low

  * Oprhan the package, set maintainer to Debian QA Group

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 02 Mar 2014 13:05:59 -0500

tbb (4.2~20130725-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips mipsel to the list of supported arches in debian/control
    Closes:  #739965

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 24 Feb 2014 12:27:06 +0000

tbb (4.2~20130725-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream
  * Fix buildds: x32/sparc/sparc64
  * Do not compress Makefiles in tbb-examples

 -- Mathieu Malaterre <malat@debian.org>  Tue, 08 Oct 2013 08:23:25 +0000

tbb (4.1~20130613-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix armhf buildd
    + debian/patches/armhf.patch
  * Fix hardening flags (missing CPPFLAGS)
  * Fix d/watch file

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Sep 2013 09:22:27 +0200

tbb (4.1~20130613-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove patches from bug #692033, since integrated upstream now
  * Upload to sid
    - Closes: #714986, #715162, #713347, #715425, #705495

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Aug 2013 13:00:26 +0200

tbb (4.1~20130613-1.1~exp1) experimental; urgency=low

  * Non-maintainer upload.
  * Upload 4.1, update 4
  * Import patches for armhf (from 4.0+r233+update5-0.2)

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Jul 2013 15:01:19 +0200

tbb (4.1~20130516-1.1~exp1) experimental; urgency=low

  * Non-maintainer upload.
  * Upload 4.1, update 3. Closes: #695683
  * Switch to dh/9. Get harderning compilation
  * Add d/watch. Closes: #695683
  * Use d/rules to generate version. Closes: #712146
  * Build PowerPC/SPE. Closes: #695685
  * Use new d/rules. Bump Std-Vers: 3.9.4

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2013 09:06:21 +0200

tbb (4.0+r233+update5-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf to the list of supported arches in debian/control, now that
    ARMv7 support is there. Not (yet) worth doing for armel.

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Mon, 24 Jun 2013 17:05:45 +0100

tbb (4.0+r233+update5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated to upstream 4.0 Update 5 release.
    + Added 64-bit PowerPC support
  * Applied ARMv7-A support patches from linaro. (Closes: #692033)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 12 Jun 2013 13:57:09 +0800

tbb (4.0+r233-1) unstable; urgency=low

  * New upstream release
    + Add 32-bit PowerPC support
  * Update to Standards-Version 3.9.2 (no changes)
  * Add note to package descriptions that Pentium4-compatible and higher is
    supported for i386 architecture users (Closes: #642248)
  * Do not run test suite when DEB_BUILD_OPTIONS=nocheck (Closes: #642251)
  * Do not ignore 'make clean' errors (Closes: #642242)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Sep 2011 17:16:45 -0400

tbb (3.0+r147-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update years
  * debian/control: Add ppc64 to the Architecture fields

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 31 Mar 2011 15:02:52 -0400

tbb (3.0+r035-2) unstable; urgency=low

  * Make examples build properly (Closes: #608347)
    + Ship common Makefile snippets from upstream
    + Document that upstream's _debug library versions are not shipped
  * Update to Standards-Version 3.9.1 (no changes)


 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 31 Dec 2010 15:21:02 -0500

tbb (3.0+r035-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.9.0 (no changes)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 28 Jun 2010 19:29:45 -0400

tbb (3.0+r018-1) unstable; urgency=low

  * New upstream release (Closes: #581614)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 May 2010 07:58:17 -0400

tbb (2.2+r013-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update years
  * Update to Standards-Version 3.8.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Feb 2010 12:22:19 -0500

tbb (2.2+r012-1) unstable; urgency=low

  * New upstream release
  * Update pkg-config metadata file
  * Add ${misc:Depends} as recommended by lintian

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 27 Jan 2010 09:50:16 -0500

tbb (2.2+r009-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 18 Oct 2009 14:50:25 -0400

tbb (2.2+r004-1) unstable; urgency=low

  * New upstream release (Closes: #545702)
  * Update to Standards-Version 3.8.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Sep 2009 17:22:22 -0400

tbb (2.1r017-1) unstable; urgency=low

  * New upstream release
  * Change libtbb2-dbg to section debug for new archive layout

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 10 May 2009 21:15:34 -0400

tbb (2.1r015-1) unstable; urgency=low

  * New upstream release
  * 02_replace_arch_command.dpatch: merged upstream
  * Remove build dependency on dpatch and modify debian-rules accordingly
  * Add .pc file to help when building against the library
  * Update to Standards-Version 3.8.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 Mar 2009 15:52:47 -0400

tbb (2.1~20080605-1) unstable; urgency=low

  * New upstream release
  * Drop patches
    - 01_add_soname: suitable fascimile implemented upstream
    - 03_ias_patch: upstream now using as instead of ias
  * Update to Standards-Version 3.8.0 (no changes)
  * Add new upstream Doxygen documentation (in libtbb-doc package)
  * Register new documentation with doc-base
  * debian/copyright: Update years of copyright

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 08 Jul 2008 18:51:22 -0400

tbb (2.0r020-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04_g++-4.3.dpatch: Removed, integrated upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 29 Apr 2008 15:31:09 -0400

tbb (2.0r017-1) unstable; urgency=low

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2008 22:15:13 -0500

tbb (2.0r014-4) unstable; urgency=low

  * Make tbb-examples recommend libtbb-dev.
  * Make libtbb-dev suggest tbb-examples.
  * Patch to allow building with g++-4.3 (Closes: #462415)
  * Only conditionally create symlink (Closes: #465617)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 14 Feb 2008 18:36:15 -0500

tbb (2.0r014-3) unstable; urgency=low

  * Fix short descriptions of tbb-examples (Closes: #457442)
  * Fix short descriptions of libtbb2-dbg (Closes: #457443)
  * Add patch to allow build to succeed on Itanium

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu,  3 Jan 2008 15:21:50 -0500

tbb (2.0r014-2) unstable; urgency=low

  * debian/copyright: Fix license statement.

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 19 Dec 2007 21:17:16 -0500

tbb (2.0r014-1) unstable; urgency=low

  * Initial release (Closes: #434583)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 14 Dec 2007 23:10:58 -0500
